Subject: IPv4 tunnels: why IP-IP and SIT enforce DF bit, but GRE does not?

From: Konstantin Shemyak <[email-masked]>
Date: Thu, 26 Nov 2015 20:28:02 +0200

The kernel has taken the decision to always enforce DF bit on IPv4 
tunnels, which have fixed (not inherited) TTL (e.g. 
net/ipv4/ipip.c:ipip_tunnel_ioctl()). Commment by Alexey Kuznetsov in 
the head of ip_gre.c explains that the reason is attempting to avoid 
network loops.

But the commit c54419321455631 removed this enforcing from GRE tunnels,
not changing this behavior for IP-IP (net/ipv4/ipip.c) and SIT 
(net/ipv6/sit.c).

It can be discussed whether such enforcing of DF bit is exactly the
desired behavior, but shouldn't it at least be identical across IPv4 
tunnels?

Konstantin Shemyak